/**
 * Swistry is a 3rd generation Peer-to-Peer streaming system 
 * that supports live audio and video broadcasting over the Internet.
 * 
 * Copyright (C) 2006  Philip Frey
 * 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 * 
 * Contact the author: philip.frey@alumni.ethz.ch
 */

package ch.ethz.dcg.p2p.exceptions;

/**
 * Thrown to indicate that a certain <code>Neighbour</code> is not available.<br>
 * Details about what happend are included in the message.
 * 
 * @author Philip Frey (philip.frey@alumni.ethz.ch)
 */
public class NeighbourUnavailableException extends Exception {

	/**
	 * Constructs an <code>Exception</code> with the specified detail message.
	 * 
	 * @param msg
	 *            the detail message
	 */
	public NeighbourUnavailableException( String msg ){

		super( msg );
	}
}
