/**
 * Swistry is a 3rd generation Peer-to-Peer streaming system 
 * that supports live audio and video broadcasting over the Internet.
 * 
 * Copyright (C) 2006  Philip Frey
 * 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 * 
 * Contact the author: philip.frey@alumni.ethz.ch
 */

package ch.ethz.dcg.p2p.utilities;

/**
 * Listeners for the output of the <code>DePacketizer</code>
 * 
 * @author Philip Frey (philip.frey@alumni.ethz.ch)
 * @see ch.ethz.dcg.p2p.adapters.output.OutputAdapter
 */
public interface DePacketizerListener {

	/**
	 * Called by the <code>DePacketizer</code> to forward the media stream
	 * data.
	 * 
	 * @param data
	 *            the new data
	 * @param len
	 *            the length of the data
	 */
	public void dataAvailable( byte[] data, int len );
}
