/**
 * Swistry is a 3rd generation Peer-to-Peer streaming system 
 * that supports live audio and video broadcasting over the Internet.
 * 
 * Copyright (C) 2006  Philip Frey
 * 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 * 
 * Contact the author: philip.frey@alumni.ethz.ch
 */

package ch.ethz.dcg.p2p.utilities;

/**
 * Collection of constants used within Swistry.
 * 
 * @author Philip Frey (philip.frey@alumni.ethz.ch)
 */
public class ProtocolConstants {

	public static final String VERSION = "0.2";

	public static final int NEPPORT = 65000;
	public static final int DIAGNOSTICSPORT = 64999;

	// join
	public static final byte JOIN = 0x01;
	public static final byte INITNEIGHBOURS = 0x02;
	public static final byte PING = 0x03;
	public static final byte PONG = 0x04;
	public static final byte HELLO = 0x05;
	public static final byte ACCEPT = 0x06;
	public static final byte REDIRECT = 0x07;
	public static final byte FORWARD = 0x08;
	public static final byte ACCEPTFORWARD = 0x09;
	public static final byte REJECTFORWARD = 0x0A;
	public static final byte DROPPED = 0x0B;
	public static final byte DROPPEDCONFIRM = 0x0C;
	public static final byte DROPPEDACK = 0x0D;
	public static final byte DROPPEDNACK = 0x0E;
	public static final byte SOURCE = 0x0F;
	public static final byte PEER = 0x10;
	public static final byte DUPLICATESOURCE = 0x11;
	public static final byte PEERTOOSLOW = 0x12;
	public static final byte BYE = 0x13;
	public static final byte BYECONFIRM = 0x14;
	public static final byte BYEACK = 0x15;
	public static final byte BYENACK = 0x16;
	public static final byte VERSIONMISMATCH = 0x17;

	// packet exchange
	public static final byte NOTIFICATION = 0x20;
	public static final byte REQUEST = 0x21;
	public static final byte P2PPACKET = 0x23;
	public static final byte PACKETNOTAVAILABLE = 0x24;

	// statistic
	public static final byte REPORTSTATISTIC = 0x40;
	public static final byte NEPSTATISTIC = 0x41;
	public static final byte PEERSTATISTIC = 0x42;

	// diagnostics
	public static final byte CONNECTIVITYTOKEN = 0x50;
	public static final byte CONNECTIVITYACK = 0x51;
	public static final byte REPORTNEIGHBOURS = 0x52;
	public static final byte NEIGHBOURS = 0x53;
	public static final byte DIRECTREPORTNEIGHBOURS = 0x54;
	public static final byte DIRECTNEIGHBOURS = 0x55;
	public static final byte FLOOD = 0x56;

	// stream types
	public static final byte UNKNOWN_TYPE = 0x70;
	public static final byte HTTP_MP3 = 0x71;
	public static final byte HTTP_VLC = 0x72;
}
